Index: /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php
===================================================================
--- /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 18562)
+++ /trunk/data/class/pages/admin/design/LC_Page_Admin_Design_Up_Down.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php
===================================================================
--- /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 16582)
+++ /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php
===================================================================
--- /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 16582)
+++ /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Settings.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php
===================================================================
--- /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 16870)
+++ /trunk/data/class/pages/admin/ownersstore/LC_Page_Admin_OwnersStore_Log.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 17466)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Status.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -143,8 +143,8 @@
 
         // 取得範囲の指定(開始行番号、行数のセット)
-        $objQuery->setlimitoffset($page_max, $startno);
+        $objQuery->setLimitOffset($page_max, $startno);
 
         //表示順序
-        $objQuery->setorder($order);
+        $objQuery->setOrder($order);
 
         //検索結果の取得
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 18562)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Edit.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -111,5 +111,5 @@
         $objSiteInfo = new SC_SiteInfo();
         $objDb = new SC_Helper_DB_Ex();
-        $objDate = new SC_Date(1901); 
+        $objDate = new SC_Date(1970);
         $this->arrYearDelivDate = $objDate->getYear('', date('Y'), '');
         $this->arrMonthDelivDate = $objDate->getMonth(true);
@@ -309,5 +309,5 @@
         if (file_exists(MODULE_PATH . 'mdl_sps/request.php') === TRUE) {
             $objQuery = new SC_Query();
-            $this->paymentType = $objQuery->getall("SELECT module_code, memo03 FROM dtb_payment WHERE payment_id = ? ", array($this->arrForm["payment_id"]['value']));
+            $this->paymentType = $objQuery->getAll("SELECT module_code, memo03 FROM dtb_payment WHERE payment_id = ? ", array($this->arrForm["payment_id"]['value']));
             $objDate = new SC_Date();
             $objDate->setStartYear(RELEASE_YEAR);
@@ -381,5 +381,7 @@
         $this->objFormParam->addParam("お届け時間ID", "deliv_time_id", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("対応状況", "status", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-        $this->objFormParam->addParam("お届け日", "deliv_date", STEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+        $this->objFormParam->addParam("お届け日(年)", "deliv_date_year", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("お届け日(月)", "deliv_date_month", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+        $this->objFormParam->addParam("お届け日(日)", "deliv_date_day", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
         $this->objFormParam->addParam("お支払方法名称", "payment_method");
         $this->objFormParam->addParam("お届け時間", "deliv_time");
@@ -410,5 +412,6 @@
         $this->objFormParam->addParam("受注日", "create_date");
         $this->objFormParam->addParam("発送日", "commit_date");
-        $this->objFormParam->addParam("お届け日", "deliv_date"); 
+        $this->objFormParam->addParam("備考", "message");
+        $this->objFormParam->addParam("お届け日", "deliv_date");
     }
 
@@ -424,9 +427,13 @@
             $this->objFormParam->setValue('total_point', $total_point);
             $this->objFormParam->setValue('point', $point);
-            $delivDate = split(" ", $arrRet[0]["deliv_date"]);
-            $delivDate = split("-", $delivDate[0]);
-            $this->objFormParam->setValue('deliv_date_year', $delivDate[0]);
-            $this->objFormParam->setValue('deliv_date_month', isset($delivDate[1]) ? $delivDate[1] : "");
-            $this->objFormParam->setValue('deliv_date_day', isset($delivDate[2]) ? $delivDate[2] : "");
+            // XXX お届け日の処理
+            if (!empty($arrRet[0]["deliv_date"])) {
+                $delivDate = mb_strcut($arrRet[0]["deliv_date"], 0, 8);
+                $delivDate = split("/", $delivDate);
+                $ts = mktime(0, 0, 0, $delivDate[1], $delivDate[2], $delivDate[0]);
+                $this->objFormParam->setValue('deliv_date_year', date("Y", $ts));
+                $this->objFormParam->setValue('deliv_date_month', date("n", $ts));
+                $this->objFormParam->setValue('deliv_date_day', date("j", $ts));
+            }
             $this->arrForm = $arrRet[0];
 
@@ -456,5 +463,5 @@
         $col = "product_id, classcategory_id1, classcategory_id2, product_code, product_name, classcategory_name1, classcategory_name2, price, quantity, point_rate";
         $where = "order_id = ?";
-        $objQuery->setorder("classcategory_id1, classcategory_id2");
+        $objQuery->setOrder("classcategory_id1, classcategory_id2");
         $arrRet = $objQuery->select($col, "dtb_order_detail", $where, array($order_id));
         return $arrRet;
@@ -466,13 +473,9 @@
         $arrRet =  $this->objFormParam->getHashArray();
         $objErr = new SC_CheckError($arrRet);
-        $objErr->arrErr = $this->objFormParam->checkError();
-
         $objErr->doFunc(array("お届け日", "deliv_date_year", "deliv_date_month", "deliv_date_day"), array("CHECK_DATE"));
-
         if (count($objErr->arrErr) >= 1) {
             return $objErr->arrErr;
         }
-
-        return $objErr->arrErr;
+        return $this->objFormParam->checkError();
     }
 
@@ -495,4 +498,20 @@
             // 加算ポイントの計算
             $totalpoint += SC_Utils_Ex::sfPrePoint($arrVal['price'][$i], $arrVal['point_rate'][$i]) * $arrVal['quantity'][$i];
+
+            // 在庫数のチェック
+            $productClass = $objDb->sfGetProductsClass(array($arrVal['product_id'][$i],
+                                                             $arrVal['classcategory_id1'][$i],
+                                                             $arrVal['classcategory_id2'][$i]));
+            if ($productClass['stock_unlimited'] != '1'
+                && $productClass['stock'] < ($arrVal['quantity'][$i] - $this->arrForm['quantity'][$i])) {
+                $className1 = $this->arrForm['classcategory_name1'][$i];
+                $className1 = empty($className1) ? 'なし' : $className1;
+                $className2 = $this->arrForm['classcategory_name2'][$i];
+                $className2 = empty($className2) ? 'なし' : $className2;
+
+                if (!isset($arrErr['quantity'])) $arrErr['quantity'] = "";
+
+                $arrErr['quantity'] .= $this->arrForm['product_name'][$i] . '/(' . $className1 . ')/(' . $className2 . ')　の在庫が不足しています。　設定できる数量は「' . ($this->arrForm['quantity'][$i] + $productClass['stock']) . '」までです。<br />';
+            }
         }
 
@@ -557,11 +576,17 @@
         $sqlval['update_date'] = 'Now()';
 
-        if (strlen($sqlval['deliv_date_year']) >= 0) {
-            $sqlval['deliv_date'] = $sqlval['deliv_date_year'] . '-' . $sqlval['deliv_date_month'] . '-' . $sqlval['deliv_date_day'];
+        // XXX お届け日の処理
+        if (!empty($sqlval['deliv_date_year'])) {
+            $ts = mktime(0, 0, 0, $sqlval['deliv_date_month'], $sqlval['deliv_date_day'], $sqlval['deliv_date_year']);
+            $sqlval['deliv_date'] = date("y/m/d", $ts);
+            $masterData = new SC_DB_MasterData();
+            $arrWDAY = $masterData->getMasterData("mtb_wday");
+            $sqlval['deliv_date'] .= sprintf("(%s)", $arrWDAY[date("w", $ts)]);
+        } else {
+            $sqlval['deliv_date'] = "";
         }
         unset($sqlval['deliv_date_year']);
         unset($sqlval['deliv_date_month']);
         unset($sqlval['deliv_date_day']);
-
         unset($sqlval['total_point']);
         unset($sqlval['point']);
@@ -714,4 +739,17 @@
         }
 
+        // XXX お届け日の処理
+        if (!empty($sqlval['deliv_date_year'])) {
+            $ts = mktime(0, 0, 0, $sqlval['deliv_date_month'], $sqlval['deliv_date_day'], $sqlval['deliv_date_year']);
+            $sqlval['deliv_date'] = date("y/m/d", $ts);
+            $masterData = new SC_DB_MasterData();
+            $arrWDAY = $masterData->getMasterData("mtb_wday");
+            $sqlval['deliv_date'] .= sprintf("(%s)", $arrWDAY[date("w", $ts)]);
+
+        }
+        unset($sqlval['deliv_date_year']);
+        unset($sqlval['deliv_date_month']);
+        unset($sqlval['deliv_date_day']);
+
         unset($sqlval['total_point']);
         unset($sqlval['point']);
@@ -768,5 +806,5 @@
             // 在庫数減少処理
             // 現在の実在庫数取得
-            $pre_stock = $objQuery->getone("SELECT stock FROM dtb_products_class WHERE product_id = ? AND classcategory_id1 = ?  AND classcategory_id2 = ?", array($arrDetail[$i]['product_id'], $arrDetail[$i]['classcategory_id1'], $arrDetail[$i]['classcategory_id2']));
+            $pre_stock = $objQuery->getOne("SELECT stock FROM dtb_products_class WHERE product_id = ? AND classcategory_id1 = ?  AND classcategory_id2 = ?", array($arrDetail[$i]['product_id'], $arrDetail[$i]['classcategory_id1'], $arrDetail[$i]['classcategory_id2']));
 
             $stock_sqlval = array();
@@ -880,5 +918,5 @@
 
             // 受注日に現在の時刻を取得し、表示させる
-            $create_date = $objQuery->getall('SELECT now() as create_date;');
+            $create_date = $objQuery->getAll('SELECT now() as create_date;');
             $arrCustomer['create_date'] = $create_date[0]['create_date'];
 
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 18562)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Pdf.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 16582)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_MailView.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 18177)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -112,5 +112,5 @@
         if (!isset($arrRet)) $arrRet = array();
 
-        if($_POST['mode'] == 'delete') {
+        if($_POST['mode'] == 'delete_order' ) {
             if(SC_Utils_Ex::sfIsInt($_POST['order_id'])) {
                 $objQuery = new SC_Query();
@@ -122,5 +122,5 @@
 
         switch($_POST['mode']) {
-        case 'delete':
+        case 'delete_order':
         case 'csv':
         case 'pdf':
@@ -324,7 +324,7 @@
 
                     // 取得範囲の指定(開始行番号、行数のセット)
-                    $objQuery->setlimitoffset($page_max, $startno);
+                    $objQuery->setLimitOffset($page_max, $startno);
                     // 表示順序
-                    $objQuery->setorder($order);
+                    $objQuery->setOrder($order);
                     // 検索結果の取得
                     $this->arrResults = $objQuery->select($col, $from, $where, $arrval);
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 18562)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -158,10 +158,10 @@
 
             // 取得範囲の指定(開始行番号、行数のセット)
-            if(DB_TYPE != "mysql") $objQuery->setlimitoffset($page_max, $startno);
+            if(DB_TYPE != "mysql") $objQuery->setLimitOffset($page_max, $startno);
             // 表示順序
-            $objQuery->setorder($order);
+            $objQuery->setOrder($order);
 
             // viewも絞込みをかける(mysql用)
-            //sfViewWhere("&&noncls_where&&", $where, $arrval, $objQuery->order . " " .  $objQuery->setlimitoffset($page_max, $startno, true));
+            //sfViewWhere("&&noncls_where&&", $where, $arrval, $objQuery->order . " " .  $objQuery->setLimitOffset($page_max, $startno, true));
 
             // 検索結果の取得
@@ -361,5 +361,5 @@
             $table = "vw_product_class AS prdcls";
             $where = "product_id = ?";
-            $objQuery->setorder("rank1 DESC, rank2 DESC");
+            $objQuery->setOrder("rank1 DESC, rank2 DESC");
             $arrRet = $objQuery->select($col, $table, $where, array($product_id));
         }
Index: /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php
===================================================================
--- /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 18177)
+++ /trunk/data/class/pages/admin/order/LC_Page_Admin_Order_Mail.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -142,5 +142,5 @@
         $col = "send_date, subject, template_id, send_id";
         $where = "order_id = ?";
-        $objQuery->setorder("send_date DESC");
+        $objQuery->setOrder("send_date DESC");
 
         if(SC_Utils_Ex::sfIsInt($_POST['order_id'])) {
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php	(revision 17653)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignDesign.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 16741)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Recommend.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 17657)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileManager.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 17653)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_FileView.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php	(revision 16741)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CSV.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 18177)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CsvSql.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -139,5 +139,5 @@
             $objQuery = new SC_Query();
 
-            $arrCsvOutputData = $objQuery->getall("SELECT " . $arrCsvData[0]['csv_sql']);
+            $arrCsvOutputData = $objQuery->getAll("SELECT " . $arrCsvData[0]['csv_sql']);
 
             if (count($arrCsvOutputData) > 0) {
@@ -298,7 +298,7 @@
         // データを引数で渡されている場合にはセットする
         if (count($arrData) > 0) {
-            $arrRet = $objQuery->getall($sql, $arrData);
-        }else{
-            $arrRet = $objQuery->getall($sql);
+            $arrRet = $objQuery->getAll($sql, $arrData);
+        }else{
+            $arrRet = $objQuery->getAll($sql);
         }
 
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Campaign.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Campaign.php	(revision 18007)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Campaign.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -302,5 +302,5 @@
 
         $col = "campaign_id,campaign_name,directory_name,total_count";
-        $objQuery->setorder("update_date DESC");
+        $objQuery->setOrder("update_date DESC");
         $arrRet = $objQuery->select($col, "dtb_campaign", "del_flg = 0");
 
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php	(revision 17500)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignCreateTag.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -128,7 +128,7 @@
 
             // 取得範囲の指定(開始行番号、行数のセット)
-            if(DB_TYPE != "mysql") $objQuery->setlimitoffset($page_max, $startno);
+            if(DB_TYPE != "mysql") $objQuery->setLimitOffset($page_max, $startno);
             // 表示順序
-            $objQuery->setorder($order);
+            $objQuery->setOrder($order);
 
             // 検索結果の取得
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 17463)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_RecommendSearch.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -128,7 +128,7 @@
 
             // 取得範囲の指定(開始行番号、行数のセット)
-            $objQuery->setlimitoffset($page_max, $startno);
+            $objQuery->setLimitOffset($page_max, $startno);
             // 表示順序
-            $objQuery->setorder($order);
+            $objQuery->setOrder($order);
 
             // 検索結果の取得
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 18562)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
@@ -132,5 +132,5 @@
 
             // rankを取得
-            $pre_rank = $conn->getone(" SELECT rank FROM dtb_news WHERE del_flg = 0 AND news_id = ? ", array( $_POST['news_id']  ));
+            $pre_rank = $conn->getOne(" SELECT rank FROM dtb_news WHERE del_flg = 0 AND news_id = ? ", array( $_POST['news_id']  ));
 
             //-- 削除する新着情報以降のrankを1つ繰り上げておく
@@ -285,5 +285,5 @@
 
         //rankの最大+1を取得する
-        $rank_max = $conn->getone("SELECT MAX(rank) + 1 FROM dtb_news WHERE del_flg = '0'");
+        $rank_max = $conn->getOne("SELECT MAX(rank) + 1 FROM dtb_news WHERE del_flg = '0'");
 
         $sql = "INSERT INTO dtb_news (news_date, news_title, creator_id, news_url, link_method, news_comment, rank, create_date, update_date)
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php	(revision 18562)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php
===================================================================
--- /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php	(revision 17653)
+++ /trunk/data/class/pages/admin/contents/LC_Page_Admin_Contents_CampaignPreview.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/cart/LC_Page_Cart.php
===================================================================
--- /trunk/data/class/pages/cart/LC_Page_Cart.php	(revision 18562)
+++ /trunk/data/class/pages/cart/LC_Page_Cart.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/error/LC_Page_Error_DispError.php
===================================================================
--- /trunk/data/class/pages/error/LC_Page_Error_DispError.php	(revision 16741)
+++ /trunk/data/class/pages/error/LC_Page_Error_DispError.php	(revision 18758)
@@ -4,5 +4,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/error/LC_Page_Error_SystemError.php
===================================================================
--- /trunk/data/class/pages/error/LC_Page_Error_SystemError.php	(revision 16931)
+++ /trunk/data/class/pages/error/LC_Page_Error_SystemError.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/error/LC_Page_Error.php
===================================================================
--- /trunk/data/class/pages/error/LC_Page_Error.php	(revision 16741)
+++ /trunk/data/class/pages/error/LC_Page_Error.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/magazine/LC_Page_Magazine_Confirm.php
===================================================================
--- /trunk/data/class/pages/magazine/LC_Page_Magazine_Confirm.php	(revision 16582)
+++ /trunk/data/class/pages/magazine/LC_Page_Magazine_Confirm.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/magazine/LC_Page_Magazine_Regist.php
===================================================================
--- /trunk/data/class/pages/magazine/LC_Page_Magazine_Regist.php	(revision 16582)
+++ /trunk/data/class/pages/magazine/LC_Page_Magazine_Regist.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/magazine/LC_Page_Magazine.php
===================================================================
--- /trunk/data/class/pages/magazine/LC_Page_Magazine.php	(revision 16582)
+++ /trunk/data/class/pages/magazine/LC_Page_Magazine.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/magazine/LC_Page_Magazine_Cancel.php
===================================================================
--- /trunk/data/class/pages/magazine/LC_Page_Magazine_Cancel.php	(revision 16582)
+++ /trunk/data/class/pages/magazine/LC_Page_Magazine_Cancel.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
Index: /trunk/data/class/pages/magazine/LC_Page_Magazine_Complete.php
===================================================================
--- /trunk/data/class/pages/magazine/LC_Page_Magazine_Complete.php	(revision 16582)
+++ /trunk/data/class/pages/magazine/LC_Page_Magazine_Complete.php	(revision 18758)
@@ -3,5 +3,5 @@
  * This file is part of EC-CUBE
  *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ * Copyright(c) 2000-2010 LOCKON CO.,LTD. All Rights Reserved.
  *
  * http://www.lockon.co.jp/
